{% extends "base.html" %}

{% block title %}
    Document
{% endblock title %}</title>

{% block nav %}
{% endblock nav %}

{% block content %}
    <div>
        <h1>My Lists</h1>
        <p><a href="{% url "todo_list_create" %}"><h3>Create a new list</h3></a></p>
        <p><a href="{% url "todo_item_create" %}"><h3>Create a new item</h3></a></p>
        <table>
            <tr>
                <th>Name</th>
                <th>Number of items</th>
            </tr>
            {% for list in show_list %}
                <tr>
                    <th>
                        <a href="{% url "todo_list_detail" list.id %}">
                            {{ list.name }}
                        </a>
                    </th>
                    <th>{{ list.items.all | length }}</th>
                </tr>
            {% endfor %}
        </table>
    </div>
{% endblock content %}
